The main Bubble source repository. Contains the Bubble API server, the web UI, documentation and utilities. https://getbubblenow.com
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 

60 lines
1.6 KiB

  1. #!/bin/bash
  2. #
  3. # Update repository from master, including submodules, and rebuild bubble jar file
  4. #
  5. # Usage:
  6. #
  7. # git_update_bubble.sh [fast]
  8. #
  9. # fast : if the first argument is 'fast', then don't perform "clean" builds for submodules, just repackage/reinstall them
  10. #
  11. function die {
  12. if [[ -z "${SCRIPT}" ]] ; then
  13. echo 1>&2 "${1}"
  14. else
  15. echo 1>&2 "${SCRIPT}: ${1}"
  16. fi
  17. exit 1
  18. }
  19. FAST=${1}
  20. if [[ ! -z "${FAST}" && "${FAST}" == "fast" ]] ; then
  21. FAST=1
  22. else
  23. FAST=0
  24. fi
  25. BASE=$(cd $(dirname $0)/.. && pwd)
  26. cd ${BASE}
  27. git fetch || die "Error calling git fetch"
  28. git pull origin master || die "Error calling git pull origin master"
  29. git submodule update || die "Error in git submodule update"
  30. pushd utils/cobbzilla-parent
  31. git fetch && git checkout master && git pull origin master && mvn install || die "Error updating/installing cobbzilla-parent"
  32. popd
  33. UTIL_REPOS="
  34. cobbzilla-parent
  35. cobbzilla-utils
  36. restex
  37. templated-mail-sender
  38. cobbzilla-wizard
  39. "
  40. pushd utils
  41. for repo in ${UTIL_REPOS} ; do
  42. if [[ ${FAST} -eq 1 ]] ; then
  43. pushd ${repo} && git fetch && git checkout master && git pull origin master && mvn -DskipTests=true -Dcheckstyle.skip=true install && popd || die "Error installing ${repo}"
  44. else
  45. pushd ${repo} && git fetch && git checkout master && git pull origin master && mvn -DskipTests=true -Dcheckstyle.skip=true clean install && popd || die "Error installing ${repo}"
  46. fi
  47. done
  48. popd
  49. if [[ ${FAST} -eq 1 ]] ; then
  50. mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error building bubble jar"
  51. else
  52. INSTALL_WEB=web mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error building bubble jar"
  53. fi